Subject: bug#63132: Bug on Darwin MacOS with 'M-x man RET commandname[ ]'

From: Stefan Monnier <[email-masked]>
Date: Tue, 02 May 2023 09:17:53 -0400

> On my i9 Ventura MacBook Pro, just running `man -k read > /dev/null`
> takes almost 2.5 seconds, it'd seem that's indeed the main cause of this
> lag in `M-x man` completion.

Hmm... here on my 10 years old desktop running Debian stable it's more
like 0.03s.  If it's so slow even for situations where the users have
already typed `read`, ... hmm ... maybe we should try and make the
completion asynchronous or at least abort the `man -k` as soon as the
user types something, or add some level of caching...?

        Stefan